# Uses of Class
org.apache.lucene.spatial3d.geom.SidedPlane

Packages that use SidedPlane
Package
Description
org.apache.lucene.spatial3d.geom
Shapes implemented using 3D planar geometry.

- ## Uses of SidedPlane in org.apache.lucene.spatial3d.geom

  Fields in org.apache.lucene.spatial3d.geom declared as SidedPlane
  Modifier and Type
  Field
  Description
  `protected final SidedPlane`
  GeoDegenerateVerticalLine.`bottomPlane`
  Bottom end cutoff plane
  `protected final SidedPlane`
  GeoDegenerateVerticalLine.`boundingPlane`
  Back-side cutoff plane
  `protected final SidedPlane`
  GeoDegenerateVerticalLine.`topPlane`
  Top end cutoff plane
  Methods in org.apache.lucene.spatial3d.geom that return SidedPlane
  Modifier and Type
  Method
  Description
  `static SidedPlane`
  SidedPlane.`constructNormalizedPerpendicularSidedPlane(Vector insidePoint, Vector normalVector, Vector point1, Vector point2)`
  Construct a sided plane from two points and a third normal vector.
  `static SidedPlane`
  SidedPlane.`constructNormalizedThreePointSidedPlane(Vector insidePoint, Vector point1, Vector point2, Vector point3)`
  Construct a sided plane from three points.
  `static SidedPlane`
  SidedPlane.`constructSidedPlaneFromOnePoint(Vector insidePoint, Plane plane, Vector intersectionPoint)`
  Construct sided plane from a plane and one point.
  `static SidedPlane`
  SidedPlane.`constructSidedPlaneFromTwoPoints(Vector insidePoint, Vector upperPoint, Vector lowerPoint)`
  Construct sided plane from two points.
  Constructors in org.apache.lucene.spatial3d.geom with parameters of type SidedPlane
  Modifier
  Constructor
  Description
  ``
  `SidedPlane(SidedPlane sidedPlane)`
  Construct a SidedPlane identical to an existing one, but reversed.